#ifndef MATRIX_5X7_H_
#define MATRIX_5X7_H_

/*
 * Matrix_5x7.h
 *
 * Created: 23/10/2012 14:20:32
 *  Author: robot
 */ 

#include <avr/io.h>
#include <avr/interrupt.h>
#include "FastPWM.h"
#include "macro.h"
#include "font_5x7.h"
#include "font_3x5.h"


void Init_Matrix_5x7();
void SetData_2x_3x5_Char(uint8_t Lettre1,uint8_t Lettre2);
void SetData_7x5(uint8_t MatrixData[5]);
void SetData_2x_3x5_DEC(uint8_t Value, int type);

void PutChar(char Ch);

void SelectRow(uint8_t Column);

void P_C1(bool State);
void P_C2(bool State);
void P_C3(bool State);
void P_C4(bool State);
void P_C5(bool State);

void SetDataCol(uint8_t Data);

#endif /* MATRIX_5X7_H_ */
